Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          weblogic.apache.xerces.jaxp.DocumentBuilderImpl

All Implemented Interfaces:
  JAXPConstants

Deprecated. please use JDK supplied XML parsers and transformers

    public class DocumentBuilderImpl

extends DocumentBuilder
implements JAXPConstants

Field Summary

Fields inherited from interface weblogic.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`DOMImplementation` | `getDOMImplementation()` Deprecated.
`boolean` | `isNamespaceAware()` Deprecated.
`boolean` | `isValidating()` Deprecated.
`Document` | `newDocument()` Deprecated. Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`Document` | `parse(InputSource is)` Deprecated.
`void` | `setEntityResolver(EntityResolver er)` Deprecated.
`void` | `setErrorHandler(ErrorHandler eh)` Deprecated.

Methods inherited from class javax.xml.parsers.DocumentBuilder
`getSchema, isXIncludeAware, parse, parse, parse, parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public Document newDocument()

  Deprecated.
  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.

  Specified by:
    `newDocument` in class `DocumentBuilder`

### getDOMImplementation

    public DOMImplementation getDOMImplementation()

  Deprecated.
  Specified by:
    `getDOMImplementation` in class `DocumentBuilder`

### parse

    public Document parse(InputSource is)
                   throws SAXException,
                          IOException

  Deprecated.
  Specified by:
    `parse` in class `DocumentBuilder`
  Throws:
    `SAXException`
    `IOException`

### isNamespaceAware

    public boolean isNamespaceAware()

  Deprecated.
  Specified by:
    `isNamespaceAware` in class `DocumentBuilder`

### isValidating

    public boolean isValidating()

  Deprecated.
  Specified by:
    `isValidating` in class `DocumentBuilder`

### setEntityResolver

    public void setEntityResolver(EntityResolver er)

  Deprecated.
  Specified by:
    `setEntityResolver` in class `DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(ErrorHandler eh)

  Deprecated.
  Specified by:
    `setErrorHandler` in class `DocumentBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD